<?php

/**
 * @file
 * Contains block_plugins admin.
 *
 * @license GPL v2 http://www.fsf.org/licensing/licenses/gpl.html
 * @author Chris Skene chris at previousnext dot com dot au
 * @copyright Copyright(c) 2014 Previous Next Pty Ltd
 */

use Drupal\ghost\Block\BlockPluginFactory;

/**
 * Overview page for Block plugins.
 *
 * @return string
 *   A page view.
 */
function block_plugins_overview_page() {

  $rows = array();
  $header = array('Title', 'Description', 'Provider', 'Visibility');

  $plugins = BlockPluginFactory::factory()->loadAllPluginDefinitions();
  foreach ($plugins as $plugin) {
    $row = array(
      $plugin['title'],
      $plugin['description'],
      $plugin['module'],
      isset($plugin['hidden']) && $plugin['hidden'] == TRUE ? t('Hidden') : '',
    );
    $rows[] = $row;
  }

  $vars = array(
    'header' => $header,
    'rows' => $rows,
  );

  $output = theme('table', $vars);

  return $output;
}
